
_Set_up:

;Exp_11.c,10 :: 		void Set_up() {
;Exp_11.c,12 :: 		ANSEL = 0x04;      // Pin RA2 se configura como una entrada analgica.
	MOVLW      4
	MOVWF      ANSEL+0
;Exp_11.c,13 :: 		TRISA = 0x04;
	MOVLW      4
	MOVWF      TRISA+0
;Exp_11.c,14 :: 		ADCON1 = 0x82;    // EL voltage de referencia es Vcc.
	MOVLW      130
	MOVWF      ADCON1+0
;Exp_11.c,15 :: 		ANSELH = 0;      // Los dems pines se configuran como digitales.
	CLRF       ANSELH+0
;Exp_11.c,16 :: 		C1ON_bit = 0;    // Se desactivan los comparadores analgicos.
	BCF        C1ON_bit+0, BitPos(C1ON_bit+0)
;Exp_11.c,17 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, BitPos(C2ON_bit+0)
;Exp_11.c,18 :: 		TRISE0_bit = 0;   // RE0 se configura como salida.
	BCF        TRISE0_bit+0, BitPos(TRISE0_bit+0)
;Exp_11.c,19 :: 		RE0_bit = 0;
	BCF        RE0_bit+0, BitPos(RE0_bit+0)
;Exp_11.c,21 :: 		}
L_end_Set_up:
	RETURN
; end of _Set_up

_main:

;Exp_11.c,22 :: 		void main() {
;Exp_11.c,23 :: 		Set_up();
	CALL       _Set_up+0
;Exp_11.c,25 :: 		while(1){
L_main0:
;Exp_11.c,26 :: 		PWMOFF = ADC_Read(2)/4; //lee el canal 2 del ADC y reduce la resoluion a 8 bits
	MOVLW      2
	MOVWF      FARG_ADC_Read_channel+0
	CALL       _ADC_Read+0
	MOVF       R0+0, 0
	MOVWF      R2+0
	MOVF       R0+1, 0
	MOVWF      R2+1
	RRF        R2+1, 1
	RRF        R2+0, 1
	BCF        R2+1, 7
	RRF        R2+1, 1
	RRF        R2+0, 1
	BCF        R2+1, 7
	MOVF       R2+0, 0
	MOVWF      _PWMOFF+0
	MOVF       R2+1, 0
	MOVWF      _PWMOFF+1
;Exp_11.c,27 :: 		PWMON = 255- PWMOFF;
	MOVF       R2+0, 0
	SUBLW      255
	MOVWF      _PWMON+0
	MOVF       R2+1, 0
	BTFSS      STATUS+0, 0
	ADDLW      1
	CLRF       _PWMON+1
	SUBWF      _PWMON+1, 1
;Exp_11.c,28 :: 		if( PWMOFF ==0)  RE0_bit = 0;
	MOVLW      0
	XORWF      R2+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main8
	MOVLW      0
	XORWF      R2+0, 0
L__main8:
	BTFSS      STATUS+0, 2
	GOTO       L_main2
	BCF        RE0_bit+0, BitPos(RE0_bit+0)
	GOTO       L_main3
L_main2:
;Exp_11.c,30 :: 		if( PWMOFF==255) RE0_bit = 1;
	MOVLW      0
	XORWF      _PWMOFF+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main9
	MOVLW      255
	XORWF      _PWMOFF+0, 0
L__main9:
	BTFSS      STATUS+0, 2
	GOTO       L_main4
	BSF        RE0_bit+0, BitPos(RE0_bit+0)
	GOTO       L_main5
L_main4:
;Exp_11.c,32 :: 		Delay_Cyc(PWMOFF); RE0_bit = 0;
	MOVF       _PWMOFF+0, 0
	MOVWF      FARG_Delay_Cyc_cycles_div_by_10+0
	CALL       _Delay_Cyc+0
	BCF        RE0_bit+0, BitPos(RE0_bit+0)
;Exp_11.c,33 :: 		Delay_Cyc(PWMON); RE0_bit = 1;
	MOVF       _PWMON+0, 0
	MOVWF      FARG_Delay_Cyc_cycles_div_by_10+0
	CALL       _Delay_Cyc+0
	BSF        RE0_bit+0, BitPos(RE0_bit+0)
;Exp_11.c,34 :: 		}
L_main5:
;Exp_11.c,35 :: 		}
L_main3:
;Exp_11.c,36 :: 		}
	GOTO       L_main0
;Exp_11.c,37 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
