/*******************************************************************************
**** PWM WITHOUT CCP.                                                       ****
**** EXTERNAL CLOCK = 16MHZ.                                                ****
**** maximum value = (2^Resolution)-1=255                                   ****
**** PMM frequency = 1/[(40*maximum value)/clock frecuency]= 1568.627451Hz  ****
*******************************************************************************/

int PWMOFF=0, PWMON=0;

 void Set_up() {

  ANSEL = 0x04;      // Pin RA2 se configura como una entrada analgica.
  TRISA = 0x04;
  ADCON1 = 0x82;    // EL voltage de referencia es Vcc.
  ANSELH = 0;      // Los dems pines se configuran como digitales.
  C1ON_bit = 0;    // Se desactivan los comparadores analgicos.
  C2ON_bit = 0;
  TRISE0_bit = 0;   // RE0 se configura como salida.
  RE0_bit = 0;

}
void main() {
Set_up();

while(1){
PWMOFF = ADC_Read(2)/4; //lee el canal 2 del ADC y reduce la resoluion a 8 bits
PWMON = 255- PWMOFF;
if( PWMOFF ==0)  RE0_bit = 0;
else {
if( PWMOFF==255) RE0_bit = 1;
else {
Delay_Cyc(PWMOFF); RE0_bit = 0;
Delay_Cyc(PWMON); RE0_bit = 1;
}
}
}
}